Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lib
Class FRM_lib

public class FRM_lib

This library contains generic Framework-related functions. "Generic" means that they are likely to be used in all contexts.

Stereotype compiled module
tsl FRM_lib.tsl

Method Summary
`int` | `FRM_Login(in table, in test, in idx, inout mode)`
`int` | `FRM_Main(in table, in test, in idx, in mode)` Provides the possibility to click on up to two images.
`int` | `FRM_Navbar(in table, in test, in idx, inout mode)` Provides the possibility to click on three images/buttons on left-side navigation bar.
`int` | `FRM_PopUp_Message(in table, in test, in idx, in mode)` Handles the dynamic popup message dialog.
`int` | `FRM_Prolog(in table, in test, in idx, in mode)` This is the short version of Prolog() with the difference that it does not attempt to log in.

Method Detail

### FRM_Login

    public int FRM_Login(in table, in test, in idx, inout mode)

  See Also:
    GUI, Excel

### FRM_Main

    public int FRM_Main(in table, in test, in idx, in mode)

  Provides the possibility to click on up to two images. You may want to add clicks to links as well (makes sense for many AUTs).
  See Also:
    GUI, Excel

### FRM_Navbar

    public int FRM_Navbar(in table, in test, in idx, inout mode)

  Provides the possibility to click on three images/buttons on left-side navigation bar. Note how we have solved the problem of having to click on same images within different frames. We have replaced the inital set_window() with web_sync() and included phisical properties instead of the logical names.
  See Also:
    GUI, Excel

### FRM_PopUp_Message

    public int FRM_PopUp_Message(in table, in test, in idx, in mode)

  Handles the dynamic popup message dialog. The tester can define three deisions: whether the dialog was expected or not, what message should be desplayed and what button to use to close the dialog. Different types of message dialogs are handled with the same function, e.g. OK, Yes/No, OK/Cancel. You have to make sure that the GUI-map is propeprly configured (not a trivial task).

### FRM_Prolog

    public int FRM_Prolog(in table, in test, in idx, in mode)

  This is the short version of Prolog() with the difference that it does not attempt to log in. It ensures that the Login window is open instead of the main AUT window. This was done so that we can test the login dialog on its own.
  See Also:
    GUI, Excel

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD